Summary:	PHP binding for libvirt
Summary(pl.UTF-8):	Wiązanie PHP do libvirt
Name:		php-libvirt
Version:	0.4.8
Release:	1
License:	LGPL v2.1
Group:		Development/Languages/PHP
Source0:	ftp://libvirt.org/libvirt/php/libvirt-php-%{version}.tar.gz
# Source0-md5:	b634cb6415e8f01324e626acadb9e5dc
URL:		http://libvirt.org/php/
BuildRequires:	libvirt-devel >= 0.6.2
BuildRequires:	libxml2-devel >= 2.0.0
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-progs
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.519
%{?requires_php_extension}
Requires:	libvirt >= 0.6.2
Requires:	php(core) >= 5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_phpdocdir		%{_docdir}/phpdoc

%description
Libvirt-php is basically just PHP binding for libvirt virtualization
toolkit.

%description -l pl.UTF-8
Libvirt-php to właściwie zwykłe wiązanie PHP do biblioteki
wirtualizacji libvirt.

%package phpdoc
Summary:	Online manual for php-libvirt binding
Summary(pl.UTF-8):	Dokumentacja online do wiązania php-libvirt
Group:		Documentation
Requires:	php-dirs

%description phpdoc
Documentation for php-libvirt binding.

%description phpdoc -l pl.UTF-8
Dokumentacja do wiązania php-libvirt.

%prep
%setup -q -n libvirt-php-%{version}

%build
%configure \
	--with-html-dir=%{_phpdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PHPCDIR=%{php_sysconfdir}/conf.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{php_extensiondir}/libvirt-php.so
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/*.ini

%files phpdoc
%defattr(644,root,root,755)
%{_phpdocdir}/libvirt-php-%{version}
%changelog
* Fri Apr 26 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-libvirt.git;a=log;h=master

* Fri Apr 26 2013 Jakub Bogusz <qboosh@pld-linux.org> c82538f
- updated to 0.4.8; license has been clarified

* Sat Jan 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 0f3865b
- updated to 0.4.7

* Wed Nov 21 2012 Elan Ruusamäe <glen@delfi.ee> e8acb85
- fix wtf with conf packaging

* Thu Sep 20 2012 Jakub Bogusz <qboosh@pld-linux.org> f2b2ec4
- updated to 0.4.6

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 39a350f
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Mon Aug 06 2012 Elan Ruusamäe <glen@delfi.ee> eda4e37
- release 2 (by relup.sh)

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> f14cfe5
- updated rpm macros

* Sun Jul 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 3366b28
- new

